"use strict";(globalThis.webpackChunk=globalThis.webpackChunk||[]).push([["app_gettingStartedDocs_dotnet_aspnetcore_tsx"],{"./app/gettingStartedDocs/dotnet/aspnetcore.tsx":(t,e,n)=>{n.r(e),n.d(e,{GettingStartedWithAspnetcore:()=>u,default:()=>g,steps:()=>p});var o=n("../node_modules/react/index.js"),s=n("./app/components/links/externalLink.tsx"),r=n("./app/components/list/index.tsx"),i=n("./app/components/list/listItem.tsx"),a=n("./app/components/onboarding/gettingStartedDoc/layout.tsx"),c=n("./app/components/onboarding/gettingStartedDoc/step.tsx"),d=n("./app/locale.tsx"),l=n("../node_modules/@emotion/react/jsx-runtime/dist/emotion-react-jsx-runtime.browser.esm.js");const p=function(){let{dsn:t}=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return[{type:c.WU.INSTALL,description:(0,l.tZ)("p",{children:(0,d._N)("Install the [strong:NuGet] package:",{strong:(0,l.tZ)("strong",{})})}),configurations:[{language:"shell",description:(0,d.t)("Package Manager:"),code:"Install-Package Sentry.AspNetCore -Version 3.34.0"},{language:"shell",description:(0,d.t)("Or .NET Core CLI:"),code:"dotnet add package Sentry.AspNetCore -v 3.34.0"}]},{type:c.WU.CONFIGURE,description:(0,l.tZ)("p",{children:(0,d._N)("Add Sentry to [programCode:Program.cs] through the [webHostCode:WebHostBuilder]:",{webHostCode:(0,l.tZ)("code",{}),programCode:(0,l.tZ)("code",{})})}),configurations:[{language:"csharp",code:`\npublic static IHostBuilder CreateHostBuilder(string[] args) =>\n  Host.CreateDefaultBuilder(args)\n      .ConfigureWebHostDefaults(webBuilder =>\n      {\n          // Add the following line:\n          webBuilder.UseSentry(o =>\n          {\n              o.Dsn = "${t}";\n              // When configuring for the first time, to see what the SDK is doing:\n              o.Debug = true;\n              // Set TracesSampleRate to 1.0 to capture 100% of transactions for performance monitoring.\n              // We recommend adjusting this value in production.\n              o.TracesSampleRate = 1.0;\n          });\n      });\n        `}]},{type:c.WU.VERIFY,description:(0,d.t)("To verify your set up, you can capture a message with the SDK:"),configurations:[{language:"csharp",code:'SentrySdk.CaptureMessage("Hello Sentry");'}],additionalInfo:(0,l.tZ)("p",{children:(0,d._N)("If you don't want to depend on the static class, the SDK registers a client in the DI container. In this case, you can [link:take [code:IHub] as a dependency].",{code:(0,l.tZ)("code",{}),link:(0,l.tZ)(s.Z,{href:"https://docs.sentry.io/platforms/dotnet/guides/aspnetcore/unit-testing/"})})})},{title:(0,d.t)("Performance Monitoring"),description:(0,l.tZ)("p",{children:(0,d._N)("You can measure the performance of your endpoints by adding a middleware to [code:Startup.cs]:",{code:(0,l.tZ)("code",{})})}),configurations:[{language:"csharp",code:'\nusing Microsoft.AspNetCore.Builder;\nusing Microsoft.AspNetCore.Hosting;\nusing Microsoft.Extensions.Configuration;\nusing Microsoft.Extensions.DependencyInjection;\nusing Microsoft.Extensions.Hosting;\nusing Sentry.AspNetCore;\n\npublic class Startup\n{\n    public void Configure(IApplicationBuilder app, IWebHostEnvironment env)\n    {\n        app.UseRouting();\n\n        // Enable automatic tracing integration.\n        // If running with .NET 5 or below, make sure to put this middleware\n        // right after "UseRouting()".\n        app.UseSentryTracing();\n\n        app.UseEndpoints(endpoints =>\n        {\n            endpoints.MapControllerRoute(\n                name: "default",\n                pattern: "{controller=Home}/{action=Index}/{id?}");\n        });\n    }\n}\n        '},{description:(0,d.t)("You'll be able to monitor the performance of your actions automatically. To add additional spans to it, you can use the API:"),language:"csharp",code:'\nusing Microsoft.AspNetCore.Mvc;\nusing Microsoft.Extensions.Logging;\nusing Sentry;\n\npublic class HomeController : Controller\n{\n    private readonly IHub _sentryHub;\n\n    public HomeController(IHub sentryHub) => _sentryHub = sentryHub;\n\n    [HttpGet("/person/{id}")]\n    public IActionResult Person(string id)\n    {\n        var childSpan = _sentryHub.GetSpan()?.StartChild("additional-work");\n        try\n        {\n            // Do the work that gets measured.\n\n            childSpan?.Finish(SpanStatus.Ok);\n        }\n        catch (Exception e)\n        {\n            childSpan?.Finish(e);\n            throw;\n        }\n    }\n}\n        '}]},{title:(0,d.t)("Samples"),description:(0,l.BX)(o.Fragment,{children:[(0,d.t)("See the following examples that demonstrate how to integrate Sentry with various frameworks."),(0,l.BX)(r.Z,{symbol:"bullet",children:[(0,l.tZ)(i.Z,{children:(0,d._N)("[link:Multiple samples in the [code:dotnet] SDK repository] [strong:(C#)]",{link:(0,l.tZ)(s.Z,{href:"https://github.com/getsentry/sentry-dotnet/tree/main/samples"}),code:(0,l.tZ)("code",{}),strong:(0,l.tZ)("strong",{})})}),(0,l.tZ)(i.Z,{children:(0,d._N)("[link:Basic F# sample] [strong:(F#)]",{link:(0,l.tZ)(s.Z,{href:"https://github.com/sentry-demos/fsharp"}),strong:(0,l.tZ)("strong",{})})}),(0,l.tZ)(i.Z,{children:(0,d._N)("[link:Giraffe F# sample] [strong:(F#)]",{link:(0,l.tZ)(s.Z,{href:"https://github.com/sentry-demos/giraffe"}),strong:(0,l.tZ)("strong",{})})})]})]})}]};function u(t){let{dsn:e,...n}=t;return(0,l.tZ)(a.A,{steps:p({dsn:e}),...n})}u.displayName="GettingStartedWithAspnetcore";const g=u}}]);
//# sourceMappingURL=../sourcemaps/app_gettingStartedDocs_dotnet_aspnetcore_tsx.d64983c595117c38df2aaaddcd589c12.js.map