"use strict";(globalThis.webpackChunk=globalThis.webpackChunk||[]).push([["app_gettingStartedDocs_dotnet_dotnet_tsx"],{"./app/gettingStartedDocs/dotnet/dotnet.tsx":(t,n,e)=>{e.r(n),e.d(n,{GettingStartedWithDotnet:()=>u,default:()=>g,steps:()=>h});var o=e("../node_modules/react/index.js"),s=e("./app/components/links/externalLink.tsx"),i=e("./app/components/list/index.tsx"),r=e("./app/components/list/listItem.tsx"),a=e("./app/components/onboarding/gettingStartedDoc/layout.tsx"),d=e("./app/components/onboarding/gettingStartedDoc/step.tsx"),c=e("./app/locale.tsx"),l=e("../node_modules/@emotion/react/jsx-runtime/dist/emotion-react-jsx-runtime.browser.esm.js");const p=(0,l.tZ)("p",{children:(0,c._N)("Sentry for .NET is a collection of NuGet packages provided by Sentry; it supports .NET Framework 4.6.1 and .NET Core 2.0 and above. At its core, Sentry for .NET provides a raw client for sending events to Sentry. If you use a framework such as [strong:ASP.NET, WinForms, WPF, MAUI, Xamarin, Serilog], or similar, we recommend visiting our [link:Sentry .NET] documentation for installation instructions.",{strong:(0,l.tZ)("strong",{}),link:(0,l.tZ)(s.Z,{href:"https://docs.sentry.io/platforms/dotnet/"})})}),h=function(){let{dsn:t}=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return[{type:d.WU.INSTALL,description:(0,l.tZ)("p",{children:(0,c._N)("Install the [strong:NuGet] package:",{strong:(0,l.tZ)("strong",{})})}),configurations:[{language:"shell",code:"\n# Using Package Manager\nInstall-Package Sentry -Version 3.34.0\n\n# Or using .NET Core CLI\ndotnet add package Sentry -v 3.34.0\n        "}]},{type:d.WU.CONFIGURE,description:(0,l.tZ)("p",{children:(0,c._N)("Initialize the SDK as early as possible. For example, call [sentrySdkCode:SentrySdk.Init] in your [programCode:Program.cs] file:",{sentrySdkCode:(0,l.tZ)("code",{}),programCode:(0,l.tZ)("code",{})})}),configurations:[{language:"csharp",code:`\nusing Sentry;\n\nSentrySdk.Init(options =>\n{\n    // A Sentry Data Source Name (DSN) is required.\n    // See https://docs.sentry.io/product/sentry-basics/dsn-explainer/\n    // You can set it in the SENTRY_DSN environment variable, or you can set it in code here.\n    options.Dsn = "${t}";\n\n    // When debug is enabled, the Sentry client will emit detailed debugging information to the console.\n    // This might be helpful, or might interfere with the normal operation of your application.\n    // We enable it here for demonstration purposes when first trying Sentry.\n    // You shouldn't do this in your applications unless you're troubleshooting issues with Sentry.\n    options.Debug = true;\n\n    // This option is recommended. It enables Sentry's "Release Health" feature.\n    options.AutoSessionTracking = true;\n\n    // This option is recommended for client applications only. It ensures all threads use the same global scope.\n    // If you're writing a background service of any kind, you should remove this.\n    options.IsGlobalModeEnabled = true;\n\n    // This option will enable Sentry's tracing features. You still need to start transactions and spans.\n    options.EnableTracing = true;\n});\n        `}]},{type:d.WU.VERIFY,description:(0,c.t)("Verify Sentry is correctly configured by sending a message:"),configurations:[{language:"csharp",code:'SentrySdk.CaptureMessage("Something went wrong");'}]},{title:(0,c.t)("Performance Monitoring"),description:(0,c.t)("You can measure the performance of your code by capturing transactions and spans."),configurations:[{language:"csharp",code:'\n// Transaction can be started by providing, at minimum, the name and the operation\nvar transaction = SentrySdk.StartTransaction(\n  "test-transaction-name",\n  "test-transaction-operation"\n);\n\n// Transactions can have child spans (and those spans can have child spans as well)\nvar span = transaction.StartChild("test-child-operation");\n\n// ...\n// (Perform the operation represented by the span/transaction)\n// ...\n\nspan.Finish(); // Mark the span as finished\ntransaction.Finish(); // Mark the transaction as finished and send it to Sentry\n        '}],additionalInfo:(0,l.tZ)("p",{children:(0,c._N)("Check out [link:the documentation] to learn more about the API and automatic instrumentations.",{link:(0,l.tZ)(s.Z,{href:"https://docs.sentry.io/platforms/dotnet/performance/instrumentation/"})})})},{title:(0,c.t)("Samples"),description:(0,l.BX)(o.Fragment,{children:[(0,l.tZ)("p",{children:(0,c._N)("You can find an example ASP.NET MVC 5 app with Sentry integrated [link:on this GitHub repository].",{link:(0,l.tZ)(s.Z,{href:"https://github.com/getsentry/examples/tree/master/dotnet/AspNetMvc5Ef6"})})}),(0,c.t)("In addition, these examples demonstrate how to integrate Sentry with various frameworks:"),(0,l.BX)(i.Z,{symbol:"bullet",children:[(0,l.tZ)(r.Z,{children:(0,c._N)("[link:Multiple samples in the [code:dotnet] SDK repository] [strong:(C#)]",{link:(0,l.tZ)(s.Z,{href:"https://github.com/getsentry/sentry-dotnet/tree/main/samples"}),code:(0,l.tZ)("code",{}),strong:(0,l.tZ)("strong",{})})}),(0,l.tZ)(r.Z,{children:(0,c._N)("[link:Basic F# sample] [strong:(F#)]",{link:(0,l.tZ)(s.Z,{href:"https://github.com/sentry-demos/fsharp"}),strong:(0,l.tZ)("strong",{})})})]})]})}]};function u(t){let{dsn:n,...e}=t;return(0,l.tZ)(a.A,{steps:h({dsn:n}),introduction:p,...e})}u.displayName="GettingStartedWithDotnet";const g=u}}]);
//# sourceMappingURL=../sourcemaps/app_gettingStartedDocs_dotnet_dotnet_tsx.f7d4878d3de7adafdc3d6fc20afd30df.js.map