"use strict";(globalThis.webpackChunk=globalThis.webpackChunk||[]).push([["app_gettingStartedDocs_dotnet_gcpfunctions_tsx"],{"./app/gettingStartedDocs/dotnet/gcpfunctions.tsx":(t,e,n)=>{n.r(e),n.d(e,{GettingStartedWithGCPFunctions:()=>u,default:()=>g,steps:()=>p});var o=n("../node_modules/react/index.js"),s=n("./app/components/links/externalLink.tsx"),i=n("./app/components/list/index.tsx"),r=n("./app/components/list/listItem.tsx"),a=n("./app/components/onboarding/gettingStartedDoc/layout.tsx"),c=n("./app/components/onboarding/gettingStartedDoc/step.tsx"),d=n("./app/locale.tsx"),l=n("../node_modules/@emotion/react/jsx-runtime/dist/emotion-react-jsx-runtime.browser.esm.js");const p=function(){let{dsn:t}=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return[{type:c.WU.INSTALL,description:(0,l.tZ)("p",{children:(0,d._N)("Install the [strong:NuGet] package:",{strong:(0,l.tZ)("strong",{})})}),configurations:[{language:"shell",description:(0,d.t)("Package Manager:"),code:"Install-Package Sentry.Google.Cloud.Functions -Version 3.34.0"},{language:"shell",description:(0,d.t)("Or .NET Core CLI:"),code:"dotnet add package Sentry.Google.Cloud.Functions -v 3.34.0"},{language:"xml",description:(0,d.t)("Or, manually add the Sentry dependency into your csproj file:"),code:'\n<ItemGroup>\n  <PackageReference Include="Sentry.Google.Cloud.Functions" Version="3.34.0"/>\n</ItemGroup>\n        '}]},{type:c.WU.CONFIGURE,description:(0,l.tZ)("p",{children:(0,d._N)("Then, add Sentry to the [functionCode:Function] class through [functionStartupCode:FunctionsStartup]:",{functionCode:(0,l.tZ)("code",{}),functionStartupCode:(0,l.tZ)("code",{})})}),configurations:[{language:"csharp",code:"\n// Add the following line:\n[assembly: FunctionsStartup(typeof(SentryStartup))]\n\npublic class Function : IHttpFunction\n{\n    public Task HandleAsync(HttpContext context)\n    {\n        // Your function code here.\n    }\n}\n        "},{language:"json",description:(0,l.tZ)("p",{children:(0,d._N)("Additionally, you'll need to set up your [sentryCode:Sentry] settings on [appsettingsCode:appsettings.json]:",{sentryCode:(0,l.tZ)("code",{}),appsettingsCode:(0,l.tZ)("code",{})})}),code:`\n{\n  "Sentry": {\n    "Dsn": "${t}",\n    // Sends Cookies, User Id when one is logged on and user IP address to sentry. It's turned off by default.\n    "SendDefaultPii": true,\n    // When configuring for the first time, to see what the SDK is doing:\n    "Debug": true,\n    // Opt-in for payload submission.\n    "MaxRequestBodySize": "Always",\n    // Set TracesSampleRate to 1.0 to capture 100% of transactions for performance monitoring.\n    // We recommend adjusting this value in production.\n    "TracesSampleRate": 1\n  }\n}\n        `}]},{type:c.WU.VERIFY,description:(0,d.t)("To verify your setup, you can capture a message with the SDK:"),configurations:[{language:"csharp",code:'\nusing System.Threading.Tasks;\nusing Microsoft.AspNetCore.Http;\nusing Sentry;\n\npublic Task HandleAsync(HttpContext context)\n{\n    SentrySdk.CaptureMessage("Hello Sentry");\n}\n        '}]},{title:(0,d.t)("Samples"),description:(0,l.BX)(o.Fragment,{children:[(0,d.t)("See the following examples that demonstrate how to integrate Sentry with various frameworks."),(0,l.BX)(i.Z,{symbol:"bullet",children:[(0,l.tZ)(r.Z,{children:(0,d._N)("[link:Google Cloud Functions sample]",{link:(0,l.tZ)(s.Z,{href:"https://github.com/getsentry/sentry-dotnet/tree/main/samples/Sentry.Samples.Google.Cloud.Functions"})})}),(0,l.tZ)(r.Z,{children:(0,d._N)("[link:Multiple samples in the [code:dotnet] SDK repository] [strong:(C#)]",{link:(0,l.tZ)(s.Z,{href:"https://github.com/getsentry/sentry-dotnet/tree/main/samples"}),strong:(0,l.tZ)("strong",{}),code:(0,l.tZ)("code",{})})}),(0,l.tZ)(r.Z,{children:(0,d._N)("[link:Basic F# sample] [strong:(F#)]",{link:(0,l.tZ)(s.Z,{href:"https://github.com/sentry-demos/fsharp"}),strong:(0,l.tZ)("strong",{})})})]})]})}]};function u(t){let{dsn:e,...n}=t;return(0,l.tZ)(a.A,{steps:p({dsn:e}),...n})}u.displayName="GettingStartedWithGCPFunctions";const g=u}}]);
//# sourceMappingURL=../sourcemaps/app_gettingStartedDocs_dotnet_gcpfunctions_tsx.d9c2466fe8acd56705dd2be2d203168c.js.map