"use strict";(globalThis.webpackChunk=globalThis.webpackChunk||[]).push([["app_gettingStartedDocs_dotnet_uwp_tsx"],{"./app/gettingStartedDocs/dotnet/uwp.tsx":(t,e,n)=>{n.r(e),n.d(e,{GettingStartedWithUwp:()=>g,default:()=>m,steps:()=>u});var o=n("../node_modules/@emotion/styled/base/dist/emotion-styled-base.browser.esm.js"),a=n("../node_modules/react/index.js"),s=n("./app/components/alert.tsx"),i=n("./app/components/links/externalLink.tsx"),r=n("./app/components/list/index.tsx"),c=n("./app/components/list/listItem.tsx"),d=n("./app/components/onboarding/gettingStartedDoc/layout.tsx"),p=n("./app/components/onboarding/gettingStartedDoc/step.tsx"),l=n("./app/locale.tsx"),h=n("../node_modules/@emotion/react/jsx-runtime/dist/emotion-react-jsx-runtime.browser.esm.js");const u=function(){let{dsn:t}=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return[{type:p.WU.INSTALL,description:(0,h.tZ)("p",{children:(0,l._N)("Install the [strong:NuGet] package:",{strong:(0,h.tZ)("strong",{})})}),configurations:[{language:"shell",code:"\n# Using Package Manager\nInstall-Package Sentry -Version 3.34.0\n\n# Or using .NET Core CLI\ndotnet add package Sentry -v 3.34.0\n        "}],additionalInfo:(0,h.tZ)(y,{type:"info",children:(0,l._N)("[strong:Using .NET Framework prior to 4.6.1?] Our legacy SDK supports .NET Framework as early as 3.5.",{strong:(0,h.tZ)("strong",{})})})},{type:p.WU.CONFIGURE,description:(0,h.tZ)("p",{children:(0,l._N)("Initialize the SDK as early as possible, like in the constructor of the [code:App]:",{code:(0,h.tZ)("code",{})})}),configurations:[{language:"csharp",code:`\nusing System.Windows;\nusing Sentry.Protocol;\nusing Sentry;\n\nsealed partial class App : Application\n{\n    protected override void OnLaunched(LaunchActivatedEventArgs e)\n    {\n        SentrySdk.Init(o =>\n        {\n            // Tells which project in Sentry to send events to:\n            o.Dsn = "${t}";\n            // When configuring for the first time, to see what the SDK is doing:\n            o.Debug = true;\n            // Set TracesSampleRate to 1.0 to capture 100% of transactions for performance monitoring.\n            // We recommend adjusting this value in production.\n            o.TracesSampleRate = 1.0;\n        });\n        Current.UnhandledException += UnhandledExceptionHandler;\n    }\n\n    [HandleProcessCorruptedStateExceptions, SecurityCritical]\n    internal void ExceptionHandler(object sender, Windows.UI.Xaml.UnhandledExceptionEventArgs e)\n    {\n        // We need to hold the reference, because the Exception property is cleared when accessed.\n        var exception = e.Exception;\n        if (exception != null)\n        {\n            // Tells Sentry this was an Unhandled Exception\n            exception.Data[Mechanism.HandledKey] = false;\n            exception.Data[Mechanism.MechanismKey] = "Application.UnhandledException";\n            SentrySdk.CaptureException(exception);\n            // Make sure the event is flushed to disk or to Sentry\n            SentrySdk.FlushAsync(TimeSpan.FromSeconds(3)).Wait();\n        }\n    }\n}\n        `}]},{type:p.WU.VERIFY,description:(0,l.t)("To verify your set up, you can capture a message with the SDK:"),configurations:[{language:"csharp",code:'SentrySdk.CaptureMessage("Hello Sentry");'}],additionalInfo:(0,h.tZ)("p",{children:(0,l._N)("If you don't want to depend on the static class, the SDK registers a client in the DI container. In this case, you can [link:take [code:IHub] as a dependency].",{code:(0,h.tZ)("code",{}),link:(0,h.tZ)(i.Z,{href:"https://docs.sentry.io/platforms/dotnet/guides/aspnetcore/unit-testing/"})})})},{title:(0,l.t)("Performance Monitoring"),description:(0,l.t)("You can measure the performance of your code by capturing transactions and spans."),configurations:[{language:"csharp",code:'\n// Transaction can be started by providing, at minimum, the name and the operation\nvar transaction = SentrySdk.StartTransaction(\n  "test-transaction-name",\n  "test-transaction-operation"\n);\n\n// Transactions can have child spans (and those spans can have child spans as well)\nvar span = transaction.StartChild("test-child-operation");\n\n// ...\n// (Perform the operation represented by the span/transaction)\n// ...\n\nspan.Finish(); // Mark the span as finished\ntransaction.Finish(); // Mark the transaction as finished and send it to Sentry\n        '}],additionalInfo:(0,h.tZ)("p",{children:(0,l._N)("Check out [link:the documentation] to learn more about the API and automatic instrumentations.",{link:(0,h.tZ)(i.Z,{href:"https://docs.sentry.io/platforms/dotnet/performance/instrumentation/"})})})},{title:(0,l.t)("Documentation"),description:(0,h.tZ)("p",{children:(0,l._N)("Once you've verified the package is initialized properly and sent a test event, consider visiting our [link:complete UWP docs].",{link:(0,h.tZ)(i.Z,{href:"https://docs.sentry.io/platforms/dotnet/guides/uwp/"})})})},{title:(0,l.t)("Samples"),description:(0,h.BX)(a.Fragment,{children:[(0,h.tZ)("p",{children:(0,l._N)("You can find an example UWP app with Sentry integrated [link:on this GitHub repository].",{link:(0,h.tZ)(i.Z,{href:"https://github.com/getsentry/examples/tree/master/dotnet/UwpCSharp"})})}),(0,l.t)("See the following examples that demonstrate how to integrate Sentry with various frameworks."),(0,h.BX)(r.Z,{symbol:"bullet",children:[(0,h.tZ)(c.Z,{children:(0,l._N)("[link:Multiple samples in the [code:dotnet] SDK repository] [strong:(C#)]",{link:(0,h.tZ)(i.Z,{href:"https://github.com/getsentry/sentry-dotnet/tree/main/samples"}),code:(0,h.tZ)("code",{}),strong:(0,h.tZ)("strong",{})})}),(0,h.tZ)(c.Z,{children:(0,l._N)("[link:Basic F# sample] [strong:(F#)]",{link:(0,h.tZ)(i.Z,{href:"https://github.com/sentry-demos/fsharp"}),strong:(0,h.tZ)("strong",{})})})]})]})}]};function g(t){let{dsn:e,...n}=t;return(0,h.tZ)(d.A,{steps:u({dsn:e}),...n})}g.displayName="GettingStartedWithUwp";const m=g,y=(0,o.Z)(s.bZ,{target:"e1o1dh0n0"})({name:"1ykowef",styles:"margin-bottom:0"})}}]);
//# sourceMappingURL=../sourcemaps/app_gettingStartedDocs_dotnet_uwp_tsx.7dcb97109976b567e6c902c3623da2fd.js.map