"use strict";(globalThis.webpackChunk=globalThis.webpackChunk||[]).push([["app_gettingStartedDocs_dotnet_xamarin_tsx"],{"./app/gettingStartedDocs/dotnet/xamarin.tsx":(n,t,e)=>{e.r(t),e.d(t,{GettingStartedWithXamarin:()=>d,default:()=>l,steps:()=>p});var o=e("../node_modules/react/index.js"),a=e("./app/components/links/externalLink.tsx"),i=e("./app/components/onboarding/gettingStartedDoc/layout.tsx"),r=e("./app/components/onboarding/gettingStartedDoc/step.tsx"),s=e("./app/locale.tsx"),c=e("../node_modules/@emotion/react/jsx-runtime/dist/emotion-react-jsx-runtime.browser.esm.js");const p=function(){let{dsn:n}=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return[{type:r.WU.INSTALL,description:(0,c.tZ)("p",{children:(0,s._N)("Install the [strong:NuGet] package:",{strong:(0,c.tZ)("strong",{})})}),configurations:[{language:"shell",code:"\n# For Xamarin.Forms\nInstall-Package Sentry.Xamarin.Forms -Version 1.5.2\n\n# If you are not using Xamarin.Forms, but only Xamarin:\nInstall-Package Sentry.Xamarin -Version 1.5.2\n        "}]},{type:r.WU.CONFIGURE,description:(0,c.tZ)("p",{children:(0,s._N)("Initialize the SDK as early as possible, like in the constructor of the [appCode:App], and Add [sentryXamarinFormsIntegrationCode:SentryXamarinFormsIntegration] as a new Integration to [sentryXamarinOptionsCode:SentryXamarinOptions] if you are going to run your app with Xamarin Forms:",{appCode:(0,c.tZ)("code",{}),sentryXamarinFormsIntegrationCode:(0,c.tZ)("code",{}),sentryXamarinOptionsCode:(0,c.tZ)("code",{})})}),configurations:[{description:(0,c.tZ)("h5",{children:(0,s.t)("Android")}),configurations:[{description:(0,c.tZ)("p",{children:(0,s._N)("Initialize the SDK on your [code:MainActivity].",{code:(0,c.tZ)("code",{})})}),language:"csharp",code:`\npublic class MainActivity : global::Xamarin.Forms.Platform.Android.FormsAppCompatActivity\n{\n    protected override void OnCreate(Bundle savedInstanceState)\n    {\n        SentryXamarin.Init(options =>\n        {\n            // Tells which project in Sentry to send events to:\n            options.Dsn = "${n}";\n            // When configuring for the first time, to see what the SDK is doing:\n            options.Debug = true;\n            // Set TracesSampleRate to 1.0 to capture 100% of transactions for performance monitoring.\n            // We recommend adjusting this value in production.\n            options.TracesSampleRate = 1.0;\n            // If you installed Sentry.Xamarin.Forms:\n            options.AddXamarinFormsIntegration();\n        });\n            `}]},{description:(0,c.tZ)("h5",{children:(0,s.t)("iOS")}),configurations:[{description:(0,c.tZ)("p",{children:(0,s._N)("Initialize the SDK on your [code:AppDelegate.cs].",{code:(0,c.tZ)("code",{})})}),language:"csharp",code:`\npublic partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate\n{\n    public override bool FinishedLaunching(UIApplication app, NSDictionary options)\n    {\n        SentryXamarin.Init(options =>\n        {\n            options.Dsn = "${n}";\n            // When configuring for the first time, to see what the SDK is doing:\n            options.Debug = true;\n            // Set TracesSampleRate to 1.0 to capture 100% of transactions for performance monitoring.\n            // We recommend adjusting this value in production.\n            options.TracesSampleRate = 1.0;\n            options.AddXamarinFormsIntegration();\n        });\n            `}]},{description:(0,c.tZ)("h5",{children:(0,s.t)("UWP")}),configurations:[{description:(0,c.BX)(o.Fragment,{children:[(0,c.tZ)("p",{children:(0,s._N)("Initialize the SDK on [code:App.xaml.cs].",{code:(0,c.tZ)("code",{})})}),(0,s.t)("NOTE: It's recommended to not setup the CacheDirectory for UWP.")]}),language:"csharp",code:`\nsealed partial class App : Application\n{\n    protected override void OnLaunched(LaunchActivatedEventArgs e)\n    {\n        SentryXamarin.Init(options =>\n        {\n            options.Dsn = "${n}";\n            // When configuring for the first time, to see what the SDK is doing:\n            options.Debug = true;\n            // Set TracesSampleRate to 1.0 to capture 100% of transactions for performance monitoring.\n            // We recommend adjusting this value in production.\n            options.TracesSampleRate = 1.0;\n            options.AddXamarinFormsIntegration();\n        });\n            `}]}]},{type:r.WU.VERIFY,description:(0,s.t)("To verify your set up, you can capture a message with the SDK:"),configurations:[{language:"csharp",code:'SentrySdk.CaptureMessage("Hello Sentry");'}],additionalInfo:(0,s.t)("You might need to open the app again for the crash report to be sent to the server.")},{title:(0,s.t)("Performance Monitoring"),description:(0,s.t)("You can measure the performance of your code by capturing transactions and spans."),configurations:[{language:"csharp",code:'\n// Transaction can be started by providing, at minimum, the name and the operation\nvar transaction = SentrySdk.StartTransaction(\n  "test-transaction-name",\n  "test-transaction-operation"\n);\n\n// Transactions can have child spans (and those spans can have child spans as well)\nvar span = transaction.StartChild("test-child-operation");\n\n// ...\n// (Perform the operation represented by the span/transaction)\n// ...\n\nspan.Finish(); // Mark the span as finished\ntransaction.Finish(); // Mark the transaction as finished and send it to Sentry\n        '}],additionalInfo:(0,c.tZ)("p",{children:(0,s._N)("Check out [link:the documentation] to learn more about the API and automatic instrumentations.",{link:(0,c.tZ)(a.Z,{href:"https://docs.sentry.io/platforms/dotnet/performance/instrumentation/"})})})},{title:(0,s.t)("Documentation"),description:(0,c.tZ)("p",{children:(0,s._N)("Once you've verified the package is initialized properly and sent a test event, consider visiting our [link:complete Xamarin Forms docs].",{link:(0,c.tZ)(a.Z,{href:"https://docs.sentry.io/platforms/dotnet/guides/xamarin/"})})})},{title:(0,s.t)("Limitations"),description:(0,s.t)("There are no line numbers on stack traces for UWP and in release builds for Android and iOS.")},{title:(0,s.t)("Samples"),description:(0,c.tZ)("p",{children:(0,s._N)("You can find an example of a Xamarin Forms app with Sentry integrated [link:on this GitHub repository].",{link:(0,c.tZ)(a.Z,{href:"https://github.com/getsentry/sentry-xamarin/tree/main/Samples"})})})}]};function d(n){let{dsn:t,...e}=n;return(0,c.tZ)(i.A,{steps:p({dsn:t}),...e})}d.displayName="GettingStartedWithXamarin";const l=d}}]);
//# sourceMappingURL=../sourcemaps/app_gettingStartedDocs_dotnet_xamarin_tsx.8c70859cc43156b2de72fe520158a362.js.map