"use strict";(globalThis.webpackChunk=globalThis.webpackChunk||[]).push([["app_gettingStartedDocs_java_logback_tsx"],{"./app/gettingStartedDocs/java/logback.tsx":(e,n,t)=>{t.r(n),t.d(n,{GettingStartedWithLogBack:()=>p,default:()=>u,steps:()=>d});var o=t("../node_modules/react/index.js"),r=t("./app/components/links/externalLink.tsx"),a=t("./app/components/onboarding/gettingStartedDoc/layout.tsx"),i=t("./app/components/onboarding/gettingStartedDoc/step.tsx"),s=t("./app/locale.tsx"),l=t("../node_modules/@emotion/react/jsx-runtime/dist/emotion-react-jsx-runtime.browser.esm.js");const c=(0,s._N)("The sentry-logback library provides Logback support for Sentry using an [link:Appender] that sends logged exceptions to Sentry.",{link:(0,l.tZ)(r.Z,{href:"https://logback.qos.ch/apidocs/ch/qos/logback/core/Appender.html"})}),d=function(){let{dsn:e}=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return[{type:i.WU.INSTALL,description:(0,s.t)("Install Sentry's integration with Logback using either Maven or Gradle:"),configurations:[{description:(0,l.tZ)("h5",{children:(0,s.t)("Maven")}),configurations:[{language:"xml",code:"\n<dependency>\n  <groupId>io.sentry</groupId>\n  <artifactId>sentry-logback</artifactId>\n  <version>6.25.2</version>\n</dependency>\n          "},{language:"xml",description:(0,s.t)("To upload your source code to Sentry so it can be shown in stack traces, use our Maven plugin."),code:"\n<build>\n  <plugins>\n    <plugin>\n      <groupId>io.sentry</groupId>\n      <artifactId>sentry-maven-plugin</artifactId>\n      <version>0.0.2</version>\n      <configuration>\n      \x3c!-- for showing output of sentry-cli --\x3e\n      <debugSentryCli>true</debugSentryCli>\n\n      \x3c!-- download the latest sentry-cli and provide path to it here --\x3e\n      \x3c!-- download it here: https://github.com/getsentry/sentry-cli/releases --\x3e\n      \x3c!-- minimum required version is 2.17.3 --\x3e\n      <sentryCliExecutablePath>/path/to/sentry-cli</sentryCliExecutablePath>\n\n      <org>___ORG_SLUG___</org>\n\n      <project>___PROJECT_SLUG___</project>\n\n      \x3c!-- in case you're self hosting, provide the URL here --\x3e\n      \x3c!--<url>http://localhost:8000/</url>--\x3e\n\n      \x3c!-- provide your auth token via SENTRY_AUTH_TOKEN environment variable --\x3e\n      \x3c!-- you can find it in Sentry UI: Settings > Account > API > Auth Tokens --\x3e\n      <authToken>env.SENTRY_AUTH_TOKEN</authToken>\n      </configuration>\n      <executions>\n        <execution>\n          <phase>generate-resources</phase>\n          <goals>\n          <goal>uploadSourceBundle</goal>\n          </goals>\n        </execution>\n      </executions>\n    </plugin>\n  </plugins>\n  ...\n</build>\n        "}]},{description:(0,l.tZ)("h5",{children:(0,s.t)("Graddle")}),configurations:[{language:"groovy",code:"implementation 'io.sentry:sentry-logback:6.25.2'"},{description:(0,s.t)("To upload your source code to Sentry so it can be shown in stack traces, use our Maven plugin."),language:"groovy",code:'\nbuildscript {\n  repositories {\n    mavenCentral()\n  }\n}\n\nplugins {\n  id "io.sentry.jvm.gradle" version "3.11.1"\n}\n\nsentry {\n  // Generates a JVM (Java, Kotlin, etc.) source bundle and uploads your source code to Sentry.\n  // This enables source context, allowing you to see your source\n  // code as part of your stack traces in Sentry.\n  includeSourceContext = true\n\n  org = "___ORG_SLUG___"\n  projectName = "___PROJECT_SLUG___"\n  authToken = "your-sentry-auth-token"\n}\n            '}]}],additionalInfo:(0,l.tZ)("p",{children:(0,s._N)("For other dependency managers see the [link:central Maven repository].",{link:(0,l.tZ)(r.Z,{href:"https://search.maven.org/artifact/io.sentry/sentry-logback"})})})},{type:i.WU.CONFIGURE,description:(0,s.t)("Configure Sentry as soon as possible in your application's lifecycle:"),configurations:[{language:"xml",description:(0,s.t)("The following example configures a ConsoleAppender that logs to standard out at the INFO level, and a SentryAppender that logs to the Sentry server at the ERROR level. This only an example of a non-Sentry appender set to a different logging threshold, similar to what you may already have in your project."),code:`\n<configuration>\n  \x3c!-- Configure the Console appender --\x3e\n  <appender name="Console" class="ch.qos.logback.core.ConsoleAppender">\n    <encoder>\n      <pattern>%d{HH:mm:ss.SSS} [%thread] %-5level %logger{36} - %msg%n</pattern>\n    </encoder>\n  </appender>\n\n  \x3c!-- Configure the Sentry appender, overriding the logging threshold to the WARN level --\x3e\n  <appender name="Sentry" class="io.sentry.logback.SentryAppender">\n    <options>\n      <dsn>${e}</dsn>\n    </options>\n  </appender>\n\n  \x3c!-- Enable the Console and Sentry appenders, Console is provided as an example\n  of a non-Sentry logger that is set to a different logging threshold --\x3e\n  <root level="INFO">\n    <appender-ref ref="Console" />\n    <appender-ref ref="Sentry" />\n  </root>\n</configuration>\n        `,additionalInfo:(0,l.tZ)("p",{children:(0,s._N)("You'll also need to configure your DSN (client key) if it's not already in the [code:logback.xml] configuration. Learn more in [link:our documentation for DSN configuration].",{code:(0,l.tZ)("code",{}),link:(0,l.tZ)(r.Z,{href:"https://docs.sentry.io/platforms/java/guides/logback/#dsn-configuration/"})})})},{description:(0,l.tZ)("p",{children:(0,s._N)("Next, you'll need to set your log levels, as illustrated here. You can learn more about [link:configuring log levels] in our documentation.",{link:(0,l.tZ)(r.Z,{href:"https://docs.sentry.io/platforms/java/guides/logback/#minimum-log-level/"})})}),configurations:[{language:"xml",code:`\n<appender name="Sentry" class="io.sentry.logback.SentryAppender">\n  <options>\n    <dsn>${e}</dsn>\n  </options>\n  \x3c!-- Optionally change minimum Event level. Default for Events is ERROR --\x3e\n  <minimumEventLevel>WARN</minimumEventLevel>\n  \x3c!-- Optionally change minimum Breadcrumbs level. Default for Breadcrumbs is INFO --\x3e\n  <minimumBreadcrumbLevel>DEBUG</minimumBreadcrumbLevel>\n</appender>\n          `}]}]},{type:i.WU.VERIFY,description:(0,s.t)("Last, create an intentional error, so you can test that everything is working:"),configurations:[{description:(0,l.tZ)("h5",{children:"Java"}),language:"java",code:'\nimport java.lang.Exception;\nimport io.sentry.Sentry;\n\ntry {\n  throw new Exception("This is a test.");\n} catch (Exception e) {\n  Sentry.captureException(e);\n}\n        '},{description:(0,l.tZ)("h5",{children:"Kotlin"}),language:"java",code:'\nimport java.lang.Exception\nimport io.sentry.Sentry\n\ntry {\n  throw Exception("This is a test.")\n} catch (e: Exception) {\n  Sentry.captureException(e)\n}\n        '}],additionalInfo:(0,l.BX)(o.Fragment,{children:[(0,l.tZ)("p",{children:(0,s.t)("If you're new to Sentry, use the email alert to access your account and complete a product tour.")}),(0,l.tZ)("p",{children:(0,s.t)("If you're an existing user and have disabled alerts, you won't receive this email.")})]})}]};function p(e){let{dsn:n,...t}=e;return(0,l.tZ)(a.A,{steps:d({dsn:n}),introduction:c,...t})}p.displayName="GettingStartedWithLogBack";const u=p}}]);
//# sourceMappingURL=../sourcemaps/app_gettingStartedDocs_java_logback_tsx.c0458fa25b33c290888a6987b3dd07a7.js.map