"use strict";(globalThis.webpackChunk=globalThis.webpackChunk||[]).push([["app_gettingStartedDocs_java_spring_tsx"],{"./app/gettingStartedDocs/java/spring.tsx":(n,e,t)=>{t.r(e),t.d(e,{GettingStartedWithSpring:()=>d,default:()=>l,steps:()=>g});var r=t("../node_modules/react/index.js"),i=t("./app/components/links/externalLink.tsx"),o=t("./app/components/onboarding/gettingStartedDoc/layout.tsx"),a=t("./app/components/onboarding/gettingStartedDoc/step.tsx"),s=t("./app/locale.tsx"),c=t("../node_modules/@emotion/react/jsx-runtime/dist/emotion-react-jsx-runtime.browser.esm.js");const p=(0,s._N)("There are two variants of Sentry available for Spring. If you're using Spring 5, use [sentrySpringLink:sentry-spring]. If you're using Spring 6, use [sentrySpringJakartaLink:sentry-spring-jakarta] instead. Sentry's integration with Spring supports Spring Framework 5.1.2 and above to report unhandled exceptions and optional user information. If you're on an older version, use [legacyIntegrationLink:our legacy integration].",{sentrySpringLink:(0,c.tZ)(i.Z,{href:"https://github.com/getsentry/sentry-java/tree/master/sentry-spring"}),sentrySpringJakartaLink:(0,c.tZ)(i.Z,{href:"https://github.com/getsentry/sentry-java/tree/master/sentry-spring-jakarta"}),legacyIntegrationLink:(0,c.tZ)(i.Z,{href:"https://docs.sentry.io/platforms/java/guides/spring/legacy/"})}),g=function(){let{dsn:n}=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};return[{type:a.WU.INSTALL,description:(0,s.t)("Install Sentry's integration with Spring using either Maven or Gradle:"),configurations:[{description:(0,c.tZ)("h5",{children:(0,s.t)("Maven")}),configurations:[{language:"xml",description:(0,c.tZ)("strong",{children:(0,s.t)("Spring 5")}),code:"\n<dependency>\n  <groupId>io.sentry</groupId>\n  <artifactId>sentry-spring</artifactId>\n  <version>6.25.2</version>\n</dependency>\n          "},{language:"xml",description:(0,c.tZ)("strong",{children:(0,s.t)("Spring 6")}),code:"\n<dependency>\n  <groupId>io.sentry</groupId>\n  <artifactId>sentry-spring-jakarta</artifactId>\n  <version>6.25.2</version>\n</dependency>\n        "}]}]},{type:a.WU.CONFIGURE,description:(0,c.BX)(r.Fragment,{children:[(0,s.t)("Configure Sentry as soon as possible in your application's lifecycle:"),(0,c.tZ)("p",{children:(0,s._N)("The [codeSentrySpring:sentry-spring] and [codeSentrySpringJakarta:sentry-spring-jakarta] libraries provide an [codeEnableSentry:@EnableSentry] annotation that registers all required Spring beans. [codeEnableSentry:@EnableSentry] can be placed on any class annotated with [configurationLink:@Configuration] including the main entry class in Spring Boot applications annotated with [springBootApplicationLink:@SpringBootApplication].",{codeSentrySpring:(0,c.tZ)("code",{}),codeSentrySpringJakarta:(0,c.tZ)("code",{}),codeEnableSentry:(0,c.tZ)("code",{}),configurationLink:(0,c.tZ)(i.Z,{href:"https://docs.spring.io/spring-framework/docs/current/javadoc-api/org/springframework/context/annotation/Configuration.html"}),springBootApplicationLink:(0,c.tZ)(i.Z,{href:"https://docs.spring.io/spring-boot/docs/current/api/org/springframework/boot/autoconfigure/SpringBootApplication.html"})})})]}),configurations:[{description:(0,c.tZ)("h5",{children:(0,s.t)("Java")}),configurations:[{language:"java",description:(0,c.tZ)("strong",{children:(0,s.t)("Spring 5")}),code:`\nimport io.sentry.spring.EnableSentry;\n\n@EnableSentry(dsn = "${n}")\n@Configuration\nclass SentryConfiguration {\n}\n          `},{language:"java",description:(0,c.tZ)("strong",{children:(0,s.t)("Spring 6")}),code:`\nimport io.sentry.spring.jakarta.EnableSentry;\n\n@EnableSentry(dsn = "${n}")\n@Configuration\nclass SentryConfiguration {\n}\n        `}]},{description:(0,c.tZ)("h5",{children:(0,s.t)("Kotlin")}),configurations:[{language:"java",description:(0,c.tZ)("strong",{children:(0,s.t)("Spring 5")}),code:`\nimport io.sentry.spring.EnableSentry\nimport org.springframework.core.Ordered\n\n@EnableSentry(\n  dsn = "${n}",\n  exceptionResolverOrder = Ordered.LOWEST_PRECEDENCE\n)\n          `},{language:"java",description:(0,c.tZ)("strong",{children:(0,s.t)("Spring 6")}),code:`\nimport io.sentry.spring.jakarta.EnableSentry\nimport org.springframework.core.Ordered\n\n@EnableSentry(\n  dsn = "${n}",\n  exceptionResolverOrder = Ordered.LOWEST_PRECEDENCE\n)\n        `}]},{description:(0,c.tZ)("h5",{children:(0,s.t)("Source Context")}),configurations:[{language:"xml",description:(0,s.t)("To upload your source code to Sentry so it can be shown in stack traces, use our Maven plugin."),code:"\n<build>\n  <plugins>\n    <plugin>\n    <groupId>io.sentry</groupId>\n    <artifactId>sentry-maven-plugin</artifactId>\n    <version>0.0.2</version>\n    <configuration>\n      \x3c!-- for showing output of sentry-cli --\x3e\n      <debugSentryCli>true</debugSentryCli>\n\n      \x3c!-- download the latest sentry-cli and provide path to it here --\x3e\n      \x3c!-- download it here: https://github.com/getsentry/sentry-cli/releases --\x3e\n      \x3c!-- minimum required version is 2.17.3 --\x3e\n      <sentryCliExecutablePath>/path/to/sentry-cli</sentryCliExecutablePath>\n\n      <org>___ORG_SLUG___</org>\n\n      <project>___PROJECT_SLUG___</project>\n\n      \x3c!-- in case you're self hosting, provide the URL here --\x3e\n      \x3c!--<url>http://localhost:8000/</url>--\x3e\n\n      \x3c!-- provide your auth token via SENTRY_AUTH_TOKEN environment variable --\x3e\n      \x3c!-- you can find it in Sentry UI: Settings > Account > API > Auth Tokens --\x3e\n      <authToken>env.SENTRY_AUTH_TOKEN</authToken>\n    </configuration>\n    <executions>\n      <execution>\n        <phase>generate-resources</phase>\n        <goals>\n        <goal>uploadSourceBundle</goal>\n        </goals>\n      </execution>\n    </executions>\n  </plugin>\n</plugins>\n...\n        "}]},{description:(0,c.tZ)("h5",{children:(0,s.t)("Graddle")}),configurations:[{description:(0,c.tZ)("strong",{children:(0,s.t)("Spring 5")}),language:"groovy",code:"implementation 'io.sentry:sentry-spring:6.25.2'"},{description:(0,c.tZ)("strong",{children:(0,s.t)("Spring 6")}),language:"groovy",code:"implementation 'io.sentry:sentry-spring-jakarta:6.25.2'"}]}]},{type:a.WU.VERIFY,description:(0,s.t)("Last, create an intentional error, so you can test that everything is working:"),configurations:[{description:(0,c.tZ)("h5",{children:"Java"}),language:"java",code:'\nimport java.lang.Exception;\nimport io.sentry.Sentry;\n\ntry {\n  throw new Exception("This is a test.");\n} catch (Exception e) {\n  Sentry.captureException(e);\n}\n        '},{description:(0,c.tZ)("h5",{children:"Kotlin"}),language:"java",code:'\nimport java.lang.Exception\nimport io.sentry.Sentry\n\ntry {\n  throw Exception("This is a test.")\n} catch (e: Exception) {\n  Sentry.captureException(e)\n}\n        '}],additionalInfo:(0,c.BX)(r.Fragment,{children:[(0,c.tZ)("p",{children:(0,s.t)("If you're new to Sentry, use the email alert to access your account and complete a product tour.")}),(0,c.tZ)("p",{children:(0,s.t)("If you're an existing user and have disabled alerts, you won't receive this email.")})]})},{title:(0,s.t)("Source Context"),configurations:[{language:"groovy",description:(0,s.t)("To upload your source code to Sentry so it can be shown in stack traces, use our Gradle plugin."),code:'\nbuildscript {\nrepositories {\n  mavenCentral()\n}\n}\n\nplugins {\nid "io.sentry.jvm.gradle" version "3.11.1"\n}\n\nsentry {\n// Generates a JVM (Java, Kotlin, etc.) source bundle and uploads your source code to Sentry.\n// This enables source context, allowing you to see your source\n// code as part of your stack traces in Sentry.\nincludeSourceContext = true\n\norg = "___ORG_SLUG___"\nprojectName = "___PROJECT_SLUG___"\nauthToken = "your-sentry-auth-token"\n}\n          '}],additionalInfo:(0,c.tZ)("p",{children:(0,s._N)("For other dependency managers see the [mavenRepositorySpring5Link:central Maven repository (Spring 5)] and [mavenRepositorySpring6Link:central Maven repository (Spring 6)].",{mavenRepositorySpring5Link:(0,c.tZ)(i.Z,{href:"https://central.sonatype.com/artifact/io.sentry/sentry-spring/6.26.0"}),mavenRepositorySpring6Link:(0,c.tZ)(i.Z,{href:"https://central.sonatype.com/artifact/io.sentry/sentry-spring-jakarta/6.26.0"})})})},{title:(0,s.t)("Measure Performance"),description:(0,c.tZ)("p",{children:(0,s._N)("Check out [link:the documentation] to learn how to configure and use Sentry Performance Monitoring with Spring.",{link:(0,c.tZ)(i.Z,{href:"https://docs.sentry.io/platforms/java/guides/spring/performance/"})})})}]};function d(n){let{dsn:e,...t}=n;return(0,c.tZ)(o.A,{steps:g({dsn:e}),introduction:p,...t})}d.displayName="GettingStartedWithSpring";const l=d}}]);
//# sourceMappingURL=../sourcemaps/app_gettingStartedDocs_java_spring_tsx.0bef01119b9add003f3096e582dd0e2f.js.map